<?php
    require_once("config/config.php");
    require_once("db_class.php");
    require_once("db_class_nagios.php");
    include_once("logs.php");
     
    session_start();

    setlocale(LC_ALL, 'pl_PL'); //bez tego nie dziala ASCII//TRANSLIT
    	
    $obszar_id=	$_REQUEST["obszar_id"];
    $group_id=	$_REQUEST["group_id"];
    $rec_id=	$_REQUEST["rec_id"];
    $group_name=$_REQUEST["group_name"];
    $host_name=	$_REQUEST["host_name"];
    $obszar=	$_REQUEST["obszar"];
    $address_ip=$_REQUEST["address_ip"];

    write_log(__FILE__.' '.__FUNCTION__.' '.__LINE__.' REC ID: '.$rec_id);
    $file_name= 'tmp/'.$rec_id.'_'.$address_ip;
    $config_nag='';
    
    write_log(__FILE__.' '.__FUNCTION__.' '.__LINE__.' filename: '.$file_name);

    $db = new db_connect(__FILE__.' '.__FUNCTION__.' '.__LINE__);
    $row_k=$db->db_get_columns("core_ip_devices");
    $sql="SELECT $row_k FROM core_ip_devices WHERE ip_p ='$address_ip'";
    $result = $db->db_get($sql,__FILE__.' '.__FUNCTION__.' '.__LINE__);
    while($row = $db->db_fetch($result))
    {
        //$host_name=	$row["host_name"];
	$snmp=	$row["snmp_ro"];
	//$obszar=	$row["obszar"];
	//$address_ip=$row["ip_p"];
        
        $config_nag = gen_objects($snmp,$host_name,$address_ip);
    }

    try{ save_to_file($file_name,$config_nag);
    } catch (Exception $ex){ write_log(__FILE__.' '.__FUNCTION__.' '.__LINE__.' ERROR: '.$ex);}

echo $file_name;

function gen_objects($snmp,$host_name,$address_ip)
{
    $config_m='';
	
    $config_m.="\n";
    $config_m.='# HOST host definition'."\n";
    $config_m.='define host{'."\n";
    $config_m.='    use                     generic-host            ; Name of host template to use'."\n";
    $config_m.='    host_name               '.$host_name."\n";
    $config_m.='    alias                   '.$host_name."\n";
    $config_m.='    address                 '.$address_ip."\n";
    $config_m.='    check_command           check-host-alive'."\n";
    $config_m.='#    host_groups             Devices'."\n";
    $config_m.='    contact_groups          admins'."\n";
    $config_m.='}'."\n";
    $config_m.="\n";
    $config_m.="\n";

    $config_m.='define service{'."\n";
    $config_m.='    use                             generic-service         ; Name of service template to use'."\n";
    $config_m.='    host_name                       '.$host_name."\n";
    $config_m.='    service_description             PING'."\n";
    $config_m.='#   service_groups                  Services'."\n";
    $config_m.='    check_command                   check_ping!100.0,20%!500.0,60%'."\n";
    $config_m.='}'."\n";

    $config_m.="\n";
    $config_m.="\n";

    $config_m.='define service{'."\n";
    $config_m.='    use                             generic-service         ; Name of service template to use'."\n";
    $config_m.='    host_name                       '.$host_name."\n";
    $config_m.='    service_description             Interfaces'."\n";
    $config_m.='#   service_groups                  Services'."\n";
    $config_m.='    check_command                   check_interface_table!'.$snmp."\n";
    $config_m.='}'."\n";
	
    return $config_m;
}

function save_to_file($file_name,$config_nag)
{
    try 
    {
        file_put_contents($file_name,$config_nag, FILE_APPEND | LOCK_EX);
    } catch (Exception $ex) 
    {
        ;
    }
    return $file_name;
}


?>
